# vidcodec.h File Reference

`#include <opal/buildopts.h>`
`#include <opal/transcoders.h>`
`#include <h323/h323caps.h>`
`#include <codec/opalplugin.h>`

Include dependency graph for vidcodec.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

class | OpalVideoTranscoder
class | OpalVideoUpdatePicture
class | OpalVideoPictureLoss
class | OpalTemporalSpatialTradeOff

## Defines

#define | OPAL_RGB24 "RGB24"
#define | OPAL_RGB32 "RGB32"
#define | OPAL_YUV420P "YUV420P"
#define | OpalRGB24 GetOpalRGB24()
#define | OpalRGB32 GetOpalRGB32()
#define | OpalYUV420P GetOpalYUV420P()

## Functions

const OpalVideoFormat & | GetOpalRGB24 ()
const OpalVideoFormat & | GetOpalRGB32 ()
const OpalVideoFormat & | GetOpalYUV420P ()
| OPAL_DEFINE_MEDIA_COMMAND (OpalVideoFreezePicture,"Freeze Picture")

## Define Documentation

#define OPAL_RGB24 "RGB24"

#define OPAL_RGB32 "RGB32"

#define OPAL_YUV420P "YUV420P"

#define OpalRGB24 GetOpalRGB24()

#define OpalRGB32 GetOpalRGB32()

#define OpalYUV420P GetOpalYUV420P()

## Function Documentation

const OpalVideoFormat& GetOpalRGB24 | ( |  | ) |

const OpalVideoFormat& GetOpalRGB32 | ( |  | ) |

const OpalVideoFormat& GetOpalYUV420P | ( |  | ) |

OPAL_DEFINE_MEDIA_COMMAND | ( | OpalVideoFreezePicture | ,
|  | "Freeze Picture" |  |
| ) |  |  |